Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038519
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 07. Sales managementmajoralways2018-05-10 19:252018-08-30 15:00
Reportermarkmm82View Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision8bdb09c2981c
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038519: It is needed to refactor the Create Lines From process on Invoice windows

DescriptionIt is needed to Refactor the Create Lines From process on Sales and Purchase Invoice windows to use the P&E pattern.

The complete specifications and technical design can be found in:
http://wiki.openbravo.com/wiki/Projects/Create_Invoice_Lines_From_refactor [^]
Steps To ReproduceNA
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0025352 closededuardo_Argal The CreateFrom windows take long to be shown when there are a lot of possible orders or shipment to select 
has duplicate defect 0039559 closedTriage Finance Performance issue in Create Lines From of Purchase Invoice window 
blocks design defect 0038515 newTriage Finance Goods Shipment can be invoiced although related sales orders' Invoice terms are set as Do not Invoice 
blocks defect 0038822 closedAtulOpenbravo Create lines from does not work properly if the business partner's address is not visible 

-  Notes
(0106540)
vmromanos (developer)
2018-08-30 14:59

Code review + testing OK.

More details about the project at: http://wiki.openbravo.com/wiki/Projects/Create_Invoice_Lines_From_refactor [^]

- Issue History
Date Modified Username Field Change
2018-05-10 19:25 markmm82 New Issue
2018-05-10 19:25 markmm82 Assigned To => markmm82
2018-05-10 19:25 markmm82 Modules => Core
2018-05-10 19:25 markmm82 Triggers an Emergency Pack => No
2018-05-10 19:27 markmm82 Status new => scheduled
2018-05-10 19:28 markmm82 Relationship added blocks 0038515
2018-05-15 09:09 ngarcia Issue Monitored: ngarcia
2018-06-22 13:31 vmromanos Target Version 3.0PR18Q3 => pi
2018-06-28 08:44 Sandrahuguet Relationship added blocks 0038822
2018-08-30 14:57 vmromanos Relationship added blocks 0025352
2018-08-30 14:59 vmromanos Note Added: 0106540
2018-08-30 14:59 vmromanos Status scheduled => resolved
2018-08-30 14:59 vmromanos Fixed in Version => 3.0PR18Q4
2018-08-30 14:59 vmromanos Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/8bdb09c2981c [^]
2018-08-30 14:59 vmromanos Resolution open => fixed
2018-08-30 15:00 vmromanos Description Updated View Revisions
2018-08-30 15:00 vmromanos Review Assigned To => vmromanos
2018-08-30 15:00 vmromanos Status resolved => closed
2018-08-30 15:01 vmromanos Relationship replaced has duplicate 0025352
2018-10-30 10:51 vmromanos Relationship added has duplicate 0039559


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker